Debian Bug report logs - #560244
RFP: mysql-cluster -- MySQL database server with cluster support

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sławek Lipowski <slawek@lipowski.org>

Date: Wed, 9 Dec 2009 22:24:02 UTC

Severity: wishlist

Tags: help, wontfix

Merged with 585877

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#560244; Package wnpp. (Wed, 09 Dec 2009 22:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sławek Lipowski <slawek@lipowski.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Wed, 09 Dec 2009 22:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sławek Lipowski <slawek@lipowski.org>
To: submit@bugs.debian.org
Subject: RFP: mysql-cluster-7 -- MySQL Cluster is the flexibility and a high availability database.
Date: Wed, 09 Dec 2009 23:20:28 +0100
Package: wnpp
Severity: wishlist




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560244; Package wnpp. (Mon, 14 Jun 2010 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 Jun 2010 17:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 560244@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: 560244@bugs.debian.org
Cc: support@oeko.net, pkg-mysql-maint@lists.alioth.debian.org
Subject: State of affairs wrt. mysql-cluster?
Date: Mon, 14 Jun 2010 19:19:10 +0200

Hi,

as I stated in BTS#585877, the mysql-cluster package is missing.

I'd like to jump on any already-running packaging bandwaggon, as I need
this package rather urgently.


TIA!


Kind regards,
--Toni++





Changed Bug title to 'ITP: mysql-cluster' from 'RFP: mysql-cluster-7 -- MySQL Cluster is the flexibility and a high availability database.' Request was from Toni Mueller <toni@debian.org> to control@bugs.debian.org. (Tue, 15 Jun 2010 09:09:07 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Toni Mueller <toni@debian.org> to control@bugs.debian.org. (Tue, 15 Jun 2010 09:09:08 GMT) Full text and rfc822 format available.

Owner recorded as Toni Mueller <toni@debian.org>. Request was from Toni Mueller <toni@debian.org> to control@bugs.debian.org. (Tue, 15 Jun 2010 15:45:38 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Toni Mueller <toni@debian.org>:
Bug#560244; Package wnpp. (Tue, 15 Jun 2010 16:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micah Gersten <debian-bug@micahscomputing.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Toni Mueller <toni@debian.org>. (Tue, 15 Jun 2010 16:06:03 GMT) Full text and rfc822 format available.

Message #21 received at 560244@bugs.debian.org (full text, mbox):

From: Micah Gersten <debian-bug@micahscomputing.com>
To: 560244@bugs.debian.org
Subject: Re: ITP: mysql-cluster
Date: Tue, 15 Jun 2010 11:02:30 -0500
Ubuntu already has this packaged, maybe this can be coordinated with the
Ubuntu Server team.

https://launchpad.net/ubuntu/+source/mysql-cluster-7.0




Changed Bug title to 'ITP: mysql-cluster -- MySQL database server with cluster support' from 'ITP: mysql-cluster' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 08 Aug 2010 13:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Toni Mueller <toni@debian.org>:
Bug#560244; Package wnpp. (Mon, 09 Aug 2010 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to debianbugs.boog@spamgourmet.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Toni Mueller <toni@debian.org>. (Mon, 09 Aug 2010 16:15:03 GMT) Full text and rfc822 format available.

Message #28 received at 560244@bugs.debian.org (full text, mbox):

From: debianbugs.boog@spamgourmet.com
To: 560244@bugs.debian.org
Subject: Re: ITP: mysql-cluster
Date: Mon, 9 Aug 2010 11:31:30 -0400
Unfortunately the Ubuntu mysql-cluster package is broken, it has been
since the release of 10.04, although there is a workaround that works.

The bug report for this issue has been open since May with no
activity, it's status is still still listed as "new":
https://bugs.launchpad.net/ubuntu/+source/mysql-cluster-7.0/+bug/579732

I was really hoping that mysql-cluster would be available in Debian 6,
but I not optimistic as there seems to be no activity, and squeeze is
now frozen.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560244; Package wnpp. (Mon, 09 Aug 2010 16:37:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <toni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Aug 2010 16:37:21 GMT) Full text and rfc822 format available.

Message #33 received at 560244@bugs.debian.org (full text, mbox):

From: Toni Mueller <toni@debian.org>
To: debianbugs.boog@spamgourmet.com, 560244@bugs.debian.org
Subject: Re: Bug#560244: ITP: mysql-cluster
Date: Mon, 9 Aug 2010 18:26:29 +0200
Hi,

On Mon, 09.08.2010 at 11:31:30 -0400, debianbugs.boog@spamgourmet.com <debianbugs.boog@spamgourmet.com> wrote:
> Unfortunately the Ubuntu mysql-cluster package is broken,

I'm aware of that with respect to Debian - simply recompiling the
package does not work, or at least not for Lenny (that's where I needed
it).

> since the release of 10.04, although there is a workaround that works.

I didn't see that.

> The bug report for this issue has been open since May with no
> activity, it's status is still still listed as "new":
> https://bugs.launchpad.net/ubuntu/+source/mysql-cluster-7.0/+bug/579732

I'm not overly concerned with Ubuntu bugs atm, although I'm willing to
consider patches that make things work on Ubuntu if the Debian side is
all green.

> I was really hoping that mysql-cluster would be available in Debian 6,
> but I not optimistic as there seems to be no activity, and squeeze is
> now frozen.

Please take into account that I'm so far doing this single-handedly,
while the non-cluster-enabled mysql package is maintained by a whole
team.

I'm more than willing to team up, but wasn't yet able to make all
connections.

Also, this package does not currently have the highest priority for me,
but will, once finished, also be available as a backport.


-- 
Kind regards,
--Toni++





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Toni Mueller <toni@debian.org>:
Bug#560244; Package wnpp. (Tue, 10 Aug 2010 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to debianbugs.boog@spamgourmet.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Toni Mueller <toni@debian.org>. (Tue, 10 Aug 2010 14:12:03 GMT) Full text and rfc822 format available.

Message #38 received at 560244@bugs.debian.org (full text, mbox):

From: debianbugs.boog@spamgourmet.com
To: 560244@bugs.debian.org
Subject: Re: Bug#560244: ITP: mysql-cluster
Date: Tue, 10 Aug 2010 10:09:47 -0400
Toni
Thanks for the update. I am really glad this being worked on. Do you
know if the plan is have 2 separate packages like in Ubuntu, one w/
cluster support and one without (mysql-cluster-server & mysql-server)?
Also, if I can be of assistance in this effort to get this into Debian
please let me know.
Thanks.
Tom





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560244; Package wnpp. (Tue, 10 Aug 2010 15:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <toni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 10 Aug 2010 15:21:02 GMT) Full text and rfc822 format available.

Message #43 received at 560244@bugs.debian.org (full text, mbox):

From: Toni Mueller <toni@debian.org>
To: debianbugs.boog@spamgourmet.com, 560244@bugs.debian.org
Subject: Re: Bug#560244: ITP: mysql-cluster
Date: Tue, 10 Aug 2010 17:16:36 +0200
Hi Tom,

On Tue, 10.08.2010 at 10:09:47 -0400, debianbugs.boog@spamgourmet.com <debianbugs.boog@spamgourmet.com> wrote:
> Thanks for the update. I am really glad this being worked on. Do you
> know if the plan is have 2 separate packages like in Ubuntu, one w/
> cluster support and one without (mysql-cluster-server & mysql-server)?

as there is already a non-cluster-enabled set of mysql packages, which
are completely outside of my scope, there'll (hopefully) be only a set
of cluster-enabled packages from my end, while, in theory, the other
group continues to do their own and produce packages that are not
cluster-enabled. Or maybe I join them at some time, and the packages
get somehow unified. Who knows, but at this point, the focust should be
to get the packages done in the first place.

> Also, if I can be of assistance in this effort to get this into Debian
> please let me know.

As I said, all help is welcome. If you are somewhat familiar with the
MySQL code base, and/or their clustering techniques, that would imho be
a big plus.


Kind regards,
--Toni++





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Toni Mueller <toni@debian.org>:
Bug#560244; Package wnpp. (Sat, 19 Feb 2011 17:47:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Toni Mueller <toni@debian.org>. (Sat, 19 Feb 2011 17:47:20 GMT) Full text and rfc822 format available.

Message #48 received at 560244@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 560244@bugs.debian.org
Cc: control@bugs.debian.org
Subject: mysql-cluster: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:06:43 +0000
retitle 560244 RFP: mysql-cluster -- MySQL database server with cluster support
noowner 560244
thanks

Hi,

This is an automatic email to change the status of mysql-cluster back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting mysql-cluster, please send a mail to
<control@bugs.debian.org> with:

 retitle 560244 ITP: mysql-cluster -- MySQL database server with cluster support
 owner 560244 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <560244@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: mysql-cluster -- MySQL database server with cluster support' from 'ITP: mysql-cluster -- MySQL database server with cluster support' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:50:52 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Toni Mueller <toni@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:50:53 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: mysql-cluster -- MySQL database server with cluster' from 'RFP: mysql-cluster -- MySQL database server with cluster support' Request was from Steven Ayre <steveayre@gmail.com> to control@bugs.debian.org. (Wed, 13 Jul 2011 09:09:02 GMT) Full text and rfc822 format available.

Owner recorded as Steven Ayre <steveayre@gmail.com>. Request was from Steven Ayre <steveayre@gmail.com> to control@bugs.debian.org. (Wed, 13 Jul 2011 09:09:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: mysql-cluster - MySQL database server with cluster support' from 'ITP: mysql-cluster -- MySQL database server with cluster' Request was from Steven Ayre <steveayre@gmail.com> to control@bugs.debian.org. (Wed, 13 Jul 2011 10:15:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560244; Package wnpp. (Fri, 21 Oct 2011 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Ayre <steveayre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 21 Oct 2011 13:15:08 GMT) Full text and rfc822 format available.

Message #63 received at 560244@bugs.debian.org (full text, mbox):

From: Steven Ayre <steveayre@gmail.com>
To: 560244@bugs.debian.org
Date: Fri, 21 Oct 2011 14:10:57 +0100
[Message part 1 (text/plain, inline)]
I have created a github for the debian packaging. Currently based on MySQL
Cluster 7.1.15a.

http://github.com/SteveAyre/mysql-cluster-7.1

Currently still a work-in-progress.
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: mysql-cluster -- MySQL database server with cluster support' from 'ITP: mysql-cluster - MySQL database server with cluster support' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:13:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560244; Package wnpp. (Sun, 19 Feb 2012 21:18:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Ayre <steveayre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 19 Feb 2012 21:18:21 GMT) Full text and rfc822 format available.

Message #70 received at 560244@bugs.debian.org (full text, mbox):

From: Steven Ayre <steveayre@gmail.com>
To: 560244@bugs.debian.org
Date: Sun, 19 Feb 2012 21:17:18 +0000
7.2.4 has been released, I'm now working on changing the packaging to
use this version instead. The repository has been renamed:
http://github.com/SteveAyre/mysql-cluster-7.2

There are also now official debian packages for 7.2.4 downloadable
from mysql.com, however these install to /opt so don't meet the
official debian packaging guidelines.




Forcibly Merged 560244 585877. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 04 Mar 2012 23:33:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: mysql-cluster -- <missing description>' from 'ITP: mysql-cluster -- MySQL database server with cluster support' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 02:51:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560244; Package wnpp. (Mon, 02 Apr 2012 12:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Ayre <steveayre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Apr 2012 12:42:22 GMT) Full text and rfc822 format available.

Message #79 received at 560244@bugs.debian.org (full text, mbox):

From: Steven Ayre <steveayre@gmail.com>
To: 560244@bugs.debian.org
Date: Mon, 2 Apr 2012 13:38:26 +0100
retitle ITP: mysql-cluster -- MySQL database server with cluster support




Changed Bug title to 'ITP: mysql-cluster -- MySQL database server with cluster support' from 'RFP: mysql-cluster -- <missing description>' Request was from Steven Ayre <steveayre@gmail.com> to control@bugs.debian.org. (Mon, 02 Apr 2012 13:15:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Steven Ayre <steveayre@gmail.com>:
Bug#560244; Package wnpp. (Tue, 26 Jun 2012 18:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Ayre <steven.ayre@aero15.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Steven Ayre <steveayre@gmail.com>. (Tue, 26 Jun 2012 18:51:02 GMT) Full text and rfc822 format available.

Message #86 received at 560244@bugs.debian.org (full text, mbox):

From: Steven Ayre <steven.ayre@aero15.co.uk>
To: 560244@bugs.debian.org
Date: Tue, 26 Jun 2012 19:47:44 +0100
I have built a set of Wheezy packages of MySQL Cluster 7.2.6.

These have been uploaded to mentors.debian.net, and a RFS bug has been
raised (#679107).

If the packages get into testing/unstable, I will produce a squeeze
backport based upon it.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Steven Ayre <steveayre@gmail.com>:
Bug#560244; Package wnpp. (Wed, 27 Jun 2012 06:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Steven Ayre <steveayre@gmail.com>. (Wed, 27 Jun 2012 06:15:06 GMT) Full text and rfc822 format available.

Message #91 received at 560244@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
Cc: 560244@bugs.debian.org, 679107@bugs.debian.org, steven.ayre@aero15.co.uk
Subject: RFS: mysql-cluster
Date: Wed, 27 Jun 2012 07:10:10 +0100
I have replied to    Steven privately. I look forward to this package
being in  Debian but I don't think it will be very quick.




Added blocking bug(s) of 560244: 679107 Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 27 Jun 2012 17:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#560244; Package wnpp. (Wed, 27 Jun 2012 21:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Ayre <steveayre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jun 2012 21:21:11 GMT) Full text and rfc822 format available.

Message #98 received at 560244@bugs.debian.org (full text, mbox):

From: Steven Ayre <steveayre@gmail.com>
To: 560244@bugs.debian.org, 585877@bugs.debian.org
Date: Wed, 27 Jun 2012 22:19:58 +0100
Crossreferencing to RFS bug #679107




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Steven Ayre <steveayre@gmail.com>:
Bug#560244; Package wnpp. (Sat, 17 Aug 2013 07:14:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Steven Ayre <steveayre@gmail.com>. (Sat, 17 Aug 2013 07:14:00 GMT) Full text and rfc822 format available.

Message #103 received at 560244@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 560244@bugs.debian.org
Cc: control@bugs.debian.org
Subject: mysql-cluster: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:09 +0200
retitle 560244 RFP: mysql-cluster -- MySQL database server with cluster support
noowner 560244
tag 560244 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging mysql-cluster. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of mysql-cluster back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging mysql-cluster, please send a mail to
<control@bugs.debian.org> with:

 retitle 560244 ITP: mysql-cluster -- MySQL database server with cluster support
 owner 560244 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <560244@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: mysql-cluster -- MySQL database server with cluster support' from 'ITP: mysql-cluster -- MySQL database server with cluster support' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:20:10 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Steven Ayre <steveayre@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:20:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:29:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.